System.Web 2.0.0.0 System.Web.UI.HtmlControls.HtmlInputButton System.Web.UI.SupportsEventValidation System.ComponentModel.DefaultEvent("ServerClick")

The class is derived from the class and is used to create a button control on a Web page that submits a form. The control is often used with the control, which resets form controls to their initial values.

For a list of initial property values for an instance of , see the constructor.

Allows programmatic access to the HTML <input type= submit> element on the server.

- Constructor

  The following table shows the initial property value for an instance of .

  Property

  Value

  The "submit" literal string.

  Initializes a new instance of the class using default values.

  2.0.0.0
- Constructor

  The following table shows the initial property value for an instance of .

  Property

  Value

  The value of the parameter.

  Initializes a new instance of the class using the specified type.

  The input button type.
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.